package src;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.E6E0FAE4-563D-CCD8-8F5D-B7927164A5E7]
// </editor-fold> 
public class Jugador {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.31D2EF77-8B43-E6F5-56DD-A8173D690E36]
    // </editor-fold> 
    private ArrayList<CartaTerritorio> cartaTerritorio;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5761D5D6-C42B-DBB4-F823-B903EDDEEFDB]
    // </editor-fold> 
    private CartaMision cartaMision;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8669C664-4772-6B03-AF2F-F609FC925EFB]
    // </editor-fold> 
    private ArrayList<Territorio> territoriosJug;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BC954FC2-7A19-0A88-EE7B-769AA4621BD6]
    // </editor-fold> 
    private ArrayList<Continente> continenteJug;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3545A043-7A94-1C04-9A6B-4208B60EB890]
    // </editor-fold> 
    private String nombreJugador;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8F51A544-89C6-951A-45C6-F1815BEDED91]
    // </editor-fold> 
    private int color;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BE1AAF6B-AFB4-E588-49A8-D531F7DF5C24]
    // </editor-fold> 
    public Jugador (String nombre, int col) {
        setNombreJugador(nombre);
        setColor(col);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1AF8609D-0A28-F131-FA56-163684E7795F]
    // </editor-fold> 
    public int getColor () {
        return color;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E63EED10-2194-FC3A-3041-60646C96C17C]
    // </editor-fold> 
    public void setColor (int val) {
        color = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F20D13F1-E7BE-555C-A366-C682CD6A9EC2]
    // </editor-fold> 
    public CartaMision getCartaMision () {
        return cartaMision;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.0115132D-0EDF-1CB5-0762-5C3D99A1F0BF]
    // </editor-fold> 
    public void setCartaMision (CartaMision val) {
        cartaMision = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7512B379-52D7-60E6-CF9C-AB4348008272]
    // </editor-fold> 
    public ArrayList<CartaTerritorio> getCartaTerritorio () {
        return cartaTerritorio;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.25D56166-A9F5-713E-A010-FCF5A2A22255]
    // </editor-fold> 
    public void setCartaTerritorio (ArrayList<CartaTerritorio> val) {
        cartaTerritorio = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.005CB12A-15C1-A321-A429-A2128F358DD3]
    // </editor-fold> 
    public ArrayList<Continente> getContinente () {
        return continenteJug;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D34124EF-B764-8739-D076-C99E40F3D767]
    // </editor-fold> 
    public void setContinente (ArrayList<Continente> val) {
        continenteJug = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1D450EB5-75B3-D41C-DDDB-4E7C51DF7372]
    // </editor-fold> 
    public ArrayList<Territorio> getTerritorio () {
        return territoriosJug;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.33DAD825-320C-3943-3957-F1A8A0BDB99E]
    // </editor-fold> 
    public void setTerritorio (ArrayList<Territorio> val) {
        territoriosJug = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D5B98F11-8D73-533E-4682-AF96F2E155F5]
    // </editor-fold> 
    public String getNombreJugador () {
        return nombreJugador;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CBEF3E8F-4EF4-5F7E-4823-AD96FAA9D959]
    // </editor-fold> 
    public void setNombreJugador (String val) {
        nombreJugador = val;
    }
    
    //metodo en el que el jugador visualiza el menu y escoge una las opciones
    public char jugarTurno() throws IOException{
        BufferedReader teclado = new BufferedReader(new InputStreamReader(System.in));
        String linea = null;
        
        char accion = 0;
        System.out.println("Qué deseas hacer?");
        System.out.println("   - Atacar (a)");
        System.out.println("   - Ver cata (v)");
        System.out.println("   - Cambiar carta (c)");
        System.out.println("   - Terminar turno (f)");
        System.out.println("   - Salir del juego (q)");
        System.out.print("Su opcion: ");
        linea = teclado.readLine();
    	accion = linea.charAt(0);
        
        while ((accion != 'a') && (accion != 'f') && (accion != 'q') && (accion != 'v') && (accion != 'c')){
            System.out.println("Accion erronea. Pruebe de nuevo:");
            System.out.println("Qué deseas hacer?");
            System.out.println("   - Atacar (a)");
            System.out.println("   - Ver cata (v)");
            System.out.println("   - Cambiar carta (c)");
            System.out.println("   - Terminar turno (f)");
            System.out.println("   - Salir del juego (q)\n");
            linea = teclado.readLine();
            accion = linea.charAt(0);
        }
        return accion;
    }
}

